org.apache.tomcat.util.bcel.classfile

## Class ParameterAnnotationEntry

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.ParameterAnnotationEntry

All Implemented Interfaces:
  Constants

    public class ParameterAnnotationEntry
    extends Object
    implements Constants

represents one parameter annotation in the parameter annotation table

Since:
  6.0
Author:
  D. Brosius

### Field Summary

### Fields inherited from interface org.apache.tomcat.util.bcel.Constants

`ACC_ABSTRACT, ACC_ANNOTATION, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_SUPER, ACCESS_NAMES, ALOAD, ANEWARRAY, APPEND_FRAME, APPEND_FRAME_MAX, ASTORE, ATTR_ANNOTATION_DEFAULT, ATTR_BOOTSTRAP_METHODS, ATTR_CODE, ATTR_CONSTANT_VALUE, ATTR_DEPRECATED, ATTR_ENCLOSING_METHOD, ATTR_EXCEPTIONS, ATTR_INNER_CLASSES, ATTR_LINE_NUMBER_TABLE, ATTR_LOCAL_VARIABLE_TABLE, ATTR_LOCAL_VARIABLE_TYPE_TABLE, ATTR_METHOD_PARAMETERS, ATTR_PMG, ATTR_RUNTIME_INVISIBLE_ANNOTATIONS, ATTR_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS, ATTR_RUNTIME_VISIBLE_ANNOTATIONS, ATTR_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS, ATTR_SIGNATURE, ATTR_SOURCE_FILE, ATTR_STACK_MAP, ATTR_STACK_MAP_TABLE, ATTR_SYNTHETIC, ATTR_UNKNOWN, ATTRIBUTE_NAMES, CHECKCAST, CHOP_FRAME, CHOP_FRAME_MAX, CONSTANT_Class, CONSTANT_Double, CONSTANT_Fieldref, CONSTANT_Float, CONSTANT_Integer, CONSTANT_InterfaceMethodref, CONSTANT_InvokeDynamic, CONSTANT_Long, CONSTANT_MethodHandle, CONSTANT_Methodref, CONSTANT_MethodType, CONSTANT_NameAndType, CONSTANT_NAMES, CONSTANT_String, CONSTANT_Utf8, DLOAD, DSTORE, FLOAD, FSTORE, FULL_FRAME, GETFIELD, GETSTATIC, GOTO, GOTO_W, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILLEGAL_OPCODE, ILLEGAL_TYPE, ILOAD, INSTANCEOF, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, ISTORE, ITEM_Bogus, ITEM_NAMES, ITEM_NewObject, ITEM_Object, JSR, JSR_W, KNOWN_ATTRIBUTES, LDC, LDC_W, LDC2_W, LLOAD, LOOKUPSWITCH, LSTORE, MAX_ACC_FLAG, MULTIANEWARRAY, NEW, NEWARRAY, NO_OF_OPERANDS, OPCODE_NAMES, PUTFIELD, PUTSTATIC, RESERVED, RET, SAME_FRAME, SAME_FRAME_EXTENDED, SAME_FRAME_MAX, SAME_LOCALS_1_STACK_ITEM_FRAME, SAME_LOCALS_1_STACK_ITEM_FRAME_EXTENDED, SAME_LOCALS_1_STACK_ITEM_FRAME_MAX, T_BYTE, T_INT, T_SHORT, T_UNKNOWN, TABLESWITCH, TYPE_NAMES, TYPE_OF_OPERANDS, UNDEFINED, UNPREDICTABLE, WIDE`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`